Page MenuHomePhabricator

[AMDGPU][NFC] Split MC tests into promoted from VOP1 to VOP3 and only VOP3
ClosedPublic

Authored by mbrkusanin on Oct 18 2022, 2:52 AM.

Diff Detail

Event Timeline

mbrkusanin created this revision.Oct 18 2022, 2:52 AM
Herald added a project: Restricted Project. · View Herald TranscriptOct 18 2022, 2:53 AM
mbrkusanin requested review of this revision.Oct 18 2022, 2:53 AM
mbrkusanin retitled this revision from [AMDGPU][NFC] Split VOP3 MC tests into promoted from VOP1 to VOP3 and only VOP3 to [AMDGPU][NFC] Split MC tests into promoted from VOP1 to VOP3 and only VOP3.Oct 18 2022, 2:57 AM
Joe_Nash accepted this revision.Oct 25 2022, 1:09 PM
This revision is now accepted and ready to land.Oct 25 2022, 1:09 PM
  • Rebase + filename change
mbrkusanin updated this revision to Diff 472313.Nov 1 2022, 8:37 AM
dp accepted this revision.Nov 1 2022, 9:19 AM

LGTM. Could you check that instructions without operands like v_nop are properly classified? Unfortunately disassembler does not print _e64 for such instructions, so they look like native VOP3 opcodes.

mbrkusanin updated this revision to Diff 472572.Nov 2 2022, 4:29 AM
In D136149#3899373, @dp wrote:

LGTM. Could you check that instructions without operands like v_nop are properly classified? Unfortunately disassembler does not print _e64 for such instructions, so they look like native VOP3 opcodes.

moved vop3 v_nop and v_pipeflush for disassembler test

dp accepted this revision.Nov 2 2022, 4:42 AM

LGTM, thanks!

This revision was landed with ongoing or failed builds.Nov 2 2022, 4:45 AM
This revision was automatically updated to reflect the committed changes.